/**
  ******************************************************************************
  * @file    LCD_SegmentsDrive/main.h
  * @author  MCD Application Team
  * @version V1.1.0
  * @date    01-July-2011
  * @brief   Header for main.c
  ******************************************************************************
  * @attention
  *
  */

// Define to prevent recursive inclusion ------------------------------------ 
#ifndef __MAIN_H
#define __MAIN_H

// Includes ------------------------------------------------------------------
#include "stm8l15x.h"

#ifdef USE_STM8L1526_EVAL
#include "stm8l1526_eval_glass_lcd.h"
#else /* USE_STM8L1528_EVAL */
#include "stm8l1528_eval_glass_lcd.h"
#endif /* USE_STM8L1526_EVAL */

#include "stm8_eval.h"
#include "timing_delay.h"

// Private typedef -----------------------------------------------------------
typedef enum
{
    BUTTON_RELEASED = 0,
		BUTTON_PRESSED = 1
} ButtonStatus_TypeDef;
// Private define ------------------------------------------------------------
#define Bit_RESET  0
#define Bit_SET    1

#define ASCII_NUM_0         ((uint8_t)48)
#define ASCII_NUM_9         ((uint8_t)48+9)

#ifdef USE_STM8L1526_EVAL
#define SEPARATOR_OFF  APOSTROPHE_OFF
#define SEPARATOR_ON   APOSTROPHE_ON

#define KEY_BUTTON_EXTI_IRQn             EXTI1_IRQn
#define TIM2_UPDATE_IRQn                 TIM2_UPD_OVF_TRG_BRK_IRQn

#else /* USE_STM8L1528_EVAL */
#define SEPARATOR_OFF  DOUBLEPOINT_OFF
#define SEPARATOR_ON   DOUBLEPOINT_ON

#define KEY_BUTTON_EXTI_IRQn             EXTI6_IRQn
#define TIM2_UPDATE_IRQn                 TIM2_UPD_OVF_TRG_BRK_USART2_TX_IRQn
#endif /* USE_STM8L1526_EVAL */



// Private macro -------------------------------------------------------------
// Private variables ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
void Calendar_Init(void);
void Time_Regulate(void);
void Time_Display(void);
void LCD_MaxValueConfig(uint8_t Position);
void LCD_ShowTimeCalendar(void);
// Private functions ---------------------------------------------------------

#endif /* __MAIN_H */

