/**
  ******************************************************************************
  * @file    stm8_eval.c
  * @author  MCD Application Team
  * @version V2.1.2
  * @date    19-May-2011
  * @brief   This file provides firmware functions to manage Leds, push-buttons
  *          and COM ports available on STM8L Evaluation Boards from STMicroelectronics.
  ******************************************************************************
  * @attention
  *
  */ 

// Includes ------------------------------------------------------------------
#include "stm8_eval.h"

 // @addtogroup Utilities

/** @defgroup STM8_EVAL
  * @brief This file provides firmware functions to manage Leds, push-buttons
  *        and COM ports available on STM8 Evaluation Boards from STMicroelectronics.
  * @{
  */

 // @defgroup STM8_EVAL_Abstraction_Layer

#ifdef USE_STM8L1526_EVAL
#include "stm8l1526_eval/stm8l1526_eval.c"
#elif defined USE_STM8L1528_EVAL
#include "stm8l1528_eval/stm8l1528_eval.c"
#else
#error "Please select first the STM8 EVAL board to be used (in stm8_eval.h)"
#endif

// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
// Private macro -------------------------------------------------------------
// Private variables ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
// Private functions ---------------------------------------------------------




